package gallery
{
	
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.Loader;
	import flash.display.Shape;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.Rectangle;
	import flash.net.URLRequest;
	import flash.system.System;
	
	import thumbAreas.SimpleLinearThumbArea;
	import thumbAreas.ThumbAreaSettings;
	
	import tools.BulkLoader;
	import tools.Statics;
	//import tools.Stats;
	
	import transitions.TransitionManager;

	public class GalleryManager extends Sprite
	{
		//private var itemsPath:Array;
		//private var thumbsPath:Array;
		//private var itemTransitions:Array;

		private var itemArea:SimpleGallery;
		private var thumbArea:SimpleLinearThumbArea;
		public function GalleryManager(itemsPath:Array,thumbsPath:Array,itemTransitions:Array)
		{	
			var bg:Shape = new Shape();
			bg.graphics.beginFill(0x000000, 1);
			bg.graphics.drawRect(0, 0, Statics.stageWidth, Statics.stageHeight);
			bg.graphics.endFill();
			addChild(bg);
			
			itemArea = new SimpleGallery(Statics.itemAreaWidth,Statics.itemAreaHeight,itemsPath,itemTransitions,thumbsPath);
			//itemArea.addEventListener(SlideShow.itemAreaReady,itemAreaReady);
			addChild(itemArea);
			
			//addChild(new Stats());
			
			
		}
		public function itemAreaReady(e:Event):void{			
			//itemArea.loadItem(0);
		}
	}
}