﻿package transitions 
{
	import caurina.transitions.Tweener;
	
	import flash.display.Bitmap;
	import flash.display.DisplayObject;
	import flash.display.Sprite;
	/**
	$(CBI)* ...
	$(CBI)* @author ...
	$(CBI)*/
	public class MoveTransition extends Transition 
	{
		
		private var current:Sprite;
		private var old:Sprite;
		private var currentProp:Object;
		public function MoveTransition(current:Sprite,old:Sprite,direction:String=TransitionManager.LEFT,time:Number=1,startAlpha:Number=1) 
		{	
			this.current = current;
			this.old = old;
			current.alpha = startAlpha;
			if(old&&current.parent.getChildIndex(current)<current.parent.getChildIndex(old))
				current.parent.swapChildren(current, old);
				
			currentProp = new Object();
			currentProp.x = current.x;
			currentProp.y = current.y;

			if (direction == TransitionManager.LEFT) {
				current.x = current.x + TransitionManager.transitionAreaWidth;
				Tweener.addTween(current, { x:currentProp.x,alpha:1, time:time, transition:"linear",onComplete:transitionCompleted } );
			}
			else if (direction == TransitionManager.RIGHT) {
				current.x = current.x - TransitionManager.transitionAreaWidth;
				Tweener.addTween(current, { x:currentProp.x,alpha:1, time:time, transition:"linear",onComplete:transitionCompleted } );
			}else if (direction == TransitionManager.UP) {
				current.y = current.y + TransitionManager.transitionAreaHeight;
				Tweener.addTween(current, { y:currentProp.y,alpha:1, time:time, transition:"linear",onComplete:transitionCompleted } );
			}
			else if (direction == TransitionManager.DOWN) {
				current.y = current.y - TransitionManager.transitionAreaHeight;
				Tweener.addTween(current, { y:currentProp.y,alpha:1, time:time, transition:"linear",onComplete:transitionCompleted } );
			}
		}
		private function transitionCompleted():void {
			if (currentProp) {	
				current.x = currentProp.x;
				current.y = currentProp.y;	
			}
			current.alpha = 1;
			if (old) {
				old.visible = false;
			}
			dispatchEvent(new TransitionEvent(TransitionEvent.TransitionCompleted, current,old));
		}
		public override function completeTransition():void {
			Tweener.removeTweens(current);
			transitionCompleted();
		}
	}
	
}