package thumbAreas
{

	public class ThumbAreaSettings
	{
		public static const VERTICAL:String = "VERTICAL";
		public static const HORIZONTAL:String = "HORIZONTAL";
		
		public static const TOP:String = "TOP";
		public static const BOTTOM:String = "BOTTOM";
		public static const LEFT:String = "LEFT";
		public static const RIGHT:String = "RIGHT";
		
		public var orientation:String;
		public var position:String;
		public var thumbWidth:Number;
		public var thumbHeight:Number;
		public var bgColor:uint;
		public var bgAlpha:Number;
		public var thumbAlpha:Number;
		public var thumbmoverAlpha:Number;
		public var borderColor:uint;
		public var borderAlpha:Number;
		public var arrowColor:uint;
		public var arrowAlpha:Number;
		public function ThumbAreaSettings()
		{
			this.orientation = null;
			this.position = null;
			this.thumbWidth = NaN;
			this.thumbHeight = NaN;
			this.bgColor = 0xFFFFFFFF;
			this.arrowColor = 0xFFFFFFFF;
			this.bgAlpha = NaN;
			this.arrowAlpha = NaN;
			this.thumbAlpha = NaN;
			this.thumbmoverAlpha = NaN;
			this.borderAlpha = NaN;
			this.borderColor = 0xFFFFFFFF;
		}
	}
}